Debian Bug report logs - #131561
gnumeric: may save changes to wrong file when quitting, obliterating good data

version graph

Package: gnumeric; Maintainer for gnumeric is Dmitry Smirnov <onlyjob@debian.org>; Source for gnumeric is src:gnumeric.

Reported by: David Coe <dcoe@server.adrenamail.com>

Date: Wed, 30 Jan 2002 17:18:04 UTC

Severity: critical

Found in version 1.0.1-1

Fixed in version gnumeric/1.0.4-1

Done: jdassen@debian.org (J.H.M. Dassen (Ray))

Bug is archived. No further changes may be made.

Forwarded to upstream

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)), gnumeric@packages.qa.debian.org:
Bug#131561; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to David Coe <dcoe@server.adrenamail.com>:
New Bug report received and forwarded. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)), gnumeric@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Coe <dcoe@server.adrenamail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnumeric: may save changes to wrong file when quitting, obliterating good data
Date: Wed, 30 Jan 2002 12:10:09 -0500
Package: gnumeric
Version: 1.0.1-1
Severity: critical
Justification: causes serious data loss

Create a new workbook, call it 'sheet 1'; enter some data like
"this is sheet 1" and save it as sheet1.gnumeric.

Create a second one (File -> new), ; enter something like
"this is sheet 2" and save it as sheet2.gnumeric.

Change something in sheet2, e.g. add a cell "i have changed sheet 2",
but don't save the changes.

Now, back in sheet one, do File -> Quit.  You get a nice dialogue
asking if it shoud save the changes you made in sheet 2.  Say
Yes.  Now look at the files; it has saved sheet 2 into sheet 1's file,
obliterating what was previously in sheet 1.


Write if my example isn't clear enough, or if you need to know more.
Thanks.


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux coe1 2.4.6coe1 #1 Mon Jul 9 16:25:03 EDT 2001 i686
Locale: LANG=C, LC_CTYPE=

Versions of packages gnumeric depends on:
ii  bonobo                        1.0.14-3   The GNOME Bonobo System.
ii  gdk-imlib1                    1.9.11-3   Gdk-Imlib is an imaging library fo
ii  gnome-libs-data               1.4.1.2-11 Data for Gnome libraries
ii  gsfonts                       6.0-2      Fonts for the ghostscript interpre
ii  libart2                       1.4.1.2-11 The Gnome canvas widget - runtime 
ii  libaudiofile0                 0.2.3-1    The Audiofile Library
ii  libbonobo2                    1.0.14-3   The GNOME Bonobo library.
ii  libc6                         2.2.4-7    GNU C Library: Shared libraries an
ii  libdb3                        3.2.9-14   Berkeley v3 Database Libraries [ru
ii  libesd0                       0.2.23-3   Enlightened Sound Daemon - Shared 
ii  libfreetype6                  2.0.6-1    FreeType 2 font engine, shared lib
ii  libgdk-pixbuf-gnome2          0.14.0-1   The GNOME GdkPixBuf library.
ii  libgdk-pixbuf2                0.14.0-1   The GdkPixBuf library.
ii  libglade-gnome0               0.17-2     Library to load .glade files at ru
ii  libglade0                     0.17-2     Library to load .glade files at ru
ii  libglib1.2                    1.2.10-3   The GLib library of C routines
ii  libgnome32                    1.4.1.2-11 The Gnome libraries
ii  libgnomeprint15               0.34-2     The GNOME Print architecture - run
ii  libgnomesupport0              1.4.1.2-11 The Gnome libraries (Support libra
ii  libgnomeui32                  1.4.1.2-11 The Gnome libraries (User Interfac
ii  libgtk1.2                     1.2.10-9   The GIMP Toolkit set of widgets fo
ii  liboaf0                       0.6.7-4    The GNOME Object Activation Framew
ii  libole2-0                     0.2.4-3    The GNOME OLE library.
ii  liborbit0                     0.5.12-1   Libraries for ORBit - a CORBA ORB
ii  libpopt0                      1.6.2-6    lib for parsing cmdline parameters
ii  libwrap0                      7.6-9      Wietse Venema's TCP wrappers libra
ii  libxml1                       1:1.8.16-1 GNOME XML library
ii  oaf                           0.6.7-4    The GNOME Object Activation Framew
ii  xlibs                         4.1.0-13   X Window System client libraries
ii  zlib1g                        1:1.1.3-18 compression library - runtime




Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)), gnumeric@packages.qa.debian.org:
Bug#131561; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to Jody Goldberg <jody@gnome.org>:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)), gnumeric@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 131561@bugs.debian.org (full text, mbox):

From: Jody Goldberg <jody@gnome.org>
To: 131561@bugs.debian.org
Subject: Probably user error
Date: Wed, 30 Jan 2002 13:47:33 -0500
I can not replicate this and would be very surprised if this was
happening.  The code path is well tested and fairly clear.  Are you
sure you typed into sheet2 ?



Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)), gnumeric@packages.qa.debian.org:
Bug#131561; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to "J.H.M. Dassen (Ray)" <jdassen@debian.org>:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)), gnumeric@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 131561@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <jdassen@debian.org>
To: 131561@bugs.debian.org
Cc: Jody Goldberg <jody@gnome.org>, 131561-submitter@bugs.debian.org
Subject: Re: Bug#131561: Probably user error
Date: Wed, 30 Jan 2002 22:02:48 +0100
On Wed, Jan 30, 2002 at 13:47:33 -0500, Jody Goldberg wrote:
> I can not replicate this and would be very surprised if this was
> happening.  The code path is well tested and fairly clear.  Are you sure
> you typed into sheet2 ?

Jody, submitters of bugs do not automatically get messages sent to
nnn@bugs.debian.org; you'll have to send them to
nnn-submitter@bugs.debian.org as well.

I can reproduce the problem, both with the reported version (1.0.1-1) and
with the current version of gnumeric in unstable (1.0.3-2).

Ray
-- 
Those who are willing to trade their liberty for security deserve neither.
	Benjamin Franklin



Message sent on to David Coe <dcoe@server.adrenamail.com>:
Bug#131561. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to upstream. Request was from "J.H.M. Dassen (Ray)" <dm@zensunni.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)), gnumeric@packages.qa.debian.org:
Bug#131561; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to "J.H.M. Dassen (Ray)" <ray@zensunni.demon.nl>:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)), gnumeric@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 131561@bugs.debian.org (full text, mbox):

From: "J.H.M. Dassen (Ray)" <ray@zensunni.demon.nl>
To: 131561@bugs.debian.org
Cc: Jody Goldberg <jody@gnome.org>
Subject: Re: Bug#131561: Probably user error
Date: Wed, 30 Jan 2002 23:50:53 +0100
On Wed, Jan 30, 2002 at 22:02:48 +0100, J.H.M. Dassen (Ray) wrote:
> I can reproduce the problem, both with the reported version (1.0.1-1) and
> with the current version of gnumeric in unstable (1.0.3-2).

Note that it appears to be crucial to choose File -> Exit from "sheet" 1.

I can't say I grok gnumeric's save code, but I've been having a go at it
with gdb a bit, and I noticed that in wb_view_save there are two paths to
get to a workbook: wbv->wb and wbc->wb_view->wb . The former appears to be
the one containing the correct filename to be saved [that of "sheet" 2],
whereas the latter contains the wrong one [that of "sheet" 1, i.e. the one
that gets accidentally overwritten with the wrong content].

Ray
-- 
NATUURLIJK krijg je er geen signaal doorheen - het is *dark* fibre.
	jtv



Reply sent to jdassen@debian.org (J.H.M. Dassen (Ray)):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Coe <dcoe@server.adrenamail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 131561-close@bugs.debian.org (full text, mbox):

From: jdassen@debian.org (J.H.M. Dassen (Ray))
To: 131561-close@bugs.debian.org
Subject: Bug#131561: fixed in gnumeric 1.0.4-1
Date: Thu, 31 Jan 2002 14:58:53 -0500
We believe that the bug you reported is fixed in the latest version of
gnumeric, which has been installed in the Debian FTP archive:

gnumeric-doc_1.0.4-1_all.deb
  to pool/main/g/gnumeric/gnumeric-doc_1.0.4-1_all.deb
gnumeric-python_1.0.4-1_i386.deb
  to pool/main/g/gnumeric/gnumeric-python_1.0.4-1_i386.deb
gnumeric_1.0.4-1.diff.gz
  to pool/main/g/gnumeric/gnumeric_1.0.4-1.diff.gz
gnumeric_1.0.4-1.dsc
  to pool/main/g/gnumeric/gnumeric_1.0.4-1.dsc
gnumeric_1.0.4-1_i386.deb
  to pool/main/g/gnumeric/gnumeric_1.0.4-1_i386.deb
gnumeric_1.0.4.orig.tar.gz
  to pool/main/g/gnumeric/gnumeric_1.0.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 131561@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
J.H.M. Dassen (Ray) <jdassen@debian.org> (supplier of updated gnumeric package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.7
Date: Thu, 31 Jan 2002 08:18:59 +0100
Source: gnumeric
Binary: gnumeric-python gnumeric gnumeric-doc
Architecture: source all i386
Version: 1.0.4-1
Distribution: unstable
Urgency: high
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: J.H.M. Dassen (Ray) <jdassen@debian.org>
Description: 
 gnumeric   - A GNOME spreadsheet application
 gnumeric-doc - Documentation for Gnumeric, the GNOME spreadsheet application
 gnumeric-python - Python plugins for the GNOME spreadsheet
Closes: 131561
Changes: 
 gnumeric (1.0.4-1) unstable; urgency=high
 .
   * New upstream release:
     * "Don't confuse the calling context with the view to save.", i.e.
       don't save to the wrong filename. (Closes: #131561)
Files: 
 6cae236f063e41ce1e5fdafeef45a998 1306 math optional gnumeric_1.0.4-1.dsc
 0c978aba9a69760785318877d89bb1dd 11407945 math optional gnumeric_1.0.4.orig.tar.gz
 0bacafb4b45fe47cc738ff3040b47572 21600 math optional gnumeric_1.0.4-1.diff.gz
 e017178401f698a89f6e91b9b4640dcc 2886672 math optional gnumeric-doc_1.0.4-1_all.deb
 5500547602aa42d3a1a10ee2fd79259d 3300418 math optional gnumeric_1.0.4-1_i386.deb
 63830316f8a1dddf0535a1a64604ca6e 43406 math optional gnumeric-python_1.0.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQEXAwUBPFkROQxJU8feGmjHFANubQP+NyG2HNRu9wB606wBez96qZCuKZnBEUtW
g5YUMBEfw0tgMATn3d/V11E0bOYvQA9IITkdi86XuWprhe7puwvJDEcq3V/Jxfq2
Di7ZHRVq4f8SIZ+JJ7TXBautaAX+XPfZxvmyIpX/h21//Hc99UnEKFbH8nFdliGH
6648Ey7kn3YEAMSoTKVJw2nrKqkq2rP77XOAx0SSqeS9mbChliHxTQIGv0V5WLJZ
dL/sfjiZUei03Sgt1QMzgrFO7rO802zH2jCwl7Y2Hh0bGrGLIOK1T/NqnKW+oZkb
6m6suU5eMzr9o+QuyfrPccMXakQd5L9DS7PXKK4z7v6SkDQQU0QTIRnW
=LE9u
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:43:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.